Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkEarthSource Class Reference

`#include <vtkEarthSource.h>`

Inheritance diagram for vtkEarthSource:

[legend]
Collaboration diagram for vtkEarthSource:

[legend]
List of all members.

## Detailed Description

create the continents of the Earth as a sphere

Date:
  2002/01/22 15:30:28

Revision:
  1.25

vtkEarthSource creates a spherical rendering of the geographical shapes of the major continents of the earth. The OnRatio determines how much of the data is actually used. The radius defines the radius of the sphere at which the continents are placed. Obtains data from an imbedded array of coordinates.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (97%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkEarthSource.h)`
  - .`cxx` (`/Hybrid/vtkEarthSource.cxx)`

Tests:
  vtkEarthSource (Tests)

Definition at line 47 of file vtkEarthSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetOnRatio (int)
virtual int | GetOnRatio ()
virtual void | SetOutline (int)
virtual int | GetOutline ()
virtual void | OutlineOn ()
virtual void | OutlineOff ()
## Static Public Methods
vtkEarthSource * | New ()
int | IsTypeOf (const char *type)
vtkEarthSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkEarthSource ()
| ~vtkEarthSource ()
void | Execute ()
## Protected Attributes
float | Radius
int | OnRatio
int | Outline

## Member Typedef Documentation

typedef vtkPolyDataSource vtkEarthSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 51 of file vtkEarthSource.h.

## Constructor & Destructor Documentation

vtkEarthSource::vtkEarthSource | ( |  | ) | `[protected]`

vtkEarthSource::~vtkEarthSource | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkEarthSource.h.

## Member Function Documentation

vtkEarthSource* vtkEarthSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkEarthSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkEarthSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkEarthSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkEarthSource* vtkEarthSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkEarthSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkEarthSource::SetRadius | ( | float |  | ) | `[virtual]`

| Set radius of earth.

virtual float vtkEarthSource::GetRadius | ( |  | ) | `[virtual]`

| Set radius of earth.

virtual void vtkEarthSource::SetOnRatio | ( | int |  | ) | `[virtual]`

| Turn on every nth entity. This controls how much detail the model will have. The maximum ratio is sixteen. (The smaller OnRatio, the more detail there is.)

virtual int vtkEarthSource::GetOnRatio | ( |  | ) | `[virtual]`

| Turn on every nth entity. This controls how much detail the model will have. The maximum ratio is sixteen. (The smaller OnRatio, the more detail there is.)

virtual void vtkEarthSource::SetOutline | ( | int |  | ) | `[virtual]`

| Turn on/off drawing continents as filled polygons or as wireframe outlines. Warning: some graphics systems will have trouble with the very large, concave filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) for now.

virtual int vtkEarthSource::GetOutline | ( |  | ) | `[virtual]`

| Turn on/off drawing continents as filled polygons or as wireframe outlines. Warning: some graphics systems will have trouble with the very large, concave filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) for now.

virtual void vtkEarthSource::OutlineOn | ( |  | ) | `[virtual]`

| Turn on/off drawing continents as filled polygons or as wireframe outlines. Warning: some graphics systems will have trouble with the very large, concave filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) for now.

virtual void vtkEarthSource::OutlineOff | ( |  | ) | `[virtual]`

| Turn on/off drawing continents as filled polygons or as wireframe outlines. Warning: some graphics systems will have trouble with the very large, concave filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) for now.

void vtkEarthSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkEarthSource::Radius`[protected]`

| Definition at line 84 of file vtkEarthSource.h.

int vtkEarthSource::OnRatio`[protected]`

| Definition at line 85 of file vtkEarthSource.h.

int vtkEarthSource::Outline`[protected]`

| Definition at line 86 of file vtkEarthSource.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkEarthSource.h